2021-02-25 17:08 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004905Wiz[All Projects] Generalpublic2021-02-01 04:49
Reporterfunkazzista 
Assigned ToPsygoreProject InfoWiz: Quest for the Magic Lantern (Mutation Software)
http://www.whdload.de/games/Wiz.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0004905: Buttons on my PS2 joypad are wrongly detected: after loading, game starts up
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2000

Buttons on my PS2 joypad are wrongly detected: after loading, game starts up without me pressing any button and once in game Wiz keeps jumping making the game totally unplayable.
Tried with a Honeybee joypad and instead its buttons are correctly detected, so it seems the problem could be the same as the one found in Deliverance and Ruff'n'Tumble slaves before JOTD fixed them (please see 0004307 on Mantis).
TagsNo tags attached.
MachineA1200
CPU68060 + PPC
CPUSpeed66
ChipSetAGA
GFXCardVoodoo3/Mediator
ChipMem2 MB
FastMem256 MB
WorkbenchOS 3.9
KickROMOther
KickSoftSelfmade
WHDLoad18.6
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0009316

Psygore (developer)

The original CD32 routine from the game doesn’t support some joypads.
I will try to replace it with my own routine.

note ~0009327

Psygore (developer)

Could you pls try the attached slave 1.1 ?

It should work better with your joypad now.

note ~0009342

funkazzista (reporter)

Thanks a lot Psygore, with this slave my PS2 controller is now correctly handled, yay!
Two more things to perfect the slave, if you could look into them:
- would it possible to disable jumping with UP when a 2 buttons joypad is detected?
- this is a minor issue and also happens with my Honeybee, so there's probably something strange in original code: when in Options menu and only there, I've got to keep UP/DOWN direction or button pressed for a few moments to actually be able navigate options and change their values.

note ~0009451

Psygore (developer)

I've added your requests and uploaded a new slave.

Let me know if there is still some prob.

note ~0009499

Psygore (developer)

New install available on whdload.de
+Notes

-Issue History
Date Modified Username Field Change
2020-12-09 17:21 administrator New Issue
2020-12-09 17:21 administrator Status new => assigned
2020-12-09 17:21 administrator Assigned To => Psygore
2020-12-09 20:58 Psygore Note Added: 0009316
2020-12-10 21:02 Psygore File Added: Wiz11.lha
2020-12-10 21:03 Psygore Note Added: 0009327
2020-12-13 22:24 funkazzista Note Added: 0009342
2021-01-14 17:43 Psygore File Deleted: Wiz11.lha
2021-01-14 17:44 Psygore File Added: Wiz11.lha
2021-01-14 17:46 Psygore Note Added: 0009451
2021-02-01 04:49 Psygore Status assigned => resolved
2021-02-01 04:49 Psygore Resolution open => fixed
2021-02-01 04:49 Psygore Note Added: 0009499
+Issue History